[
  {
    blockid=delete;
    title="Supprimer le groupe de discussion";
    buttonsat=south;

    localvar=
    {
      .delete.node.text.size=400;

      .delete.options.items=
      [
        "local",
        "dupliqu\u00e9"
      ];
      .delete.options.labels=
      [
        "Supprimer sur ce serveur uniquement",
        "Supprimer sur ce serveur et tous les serveurs dupliqu\u00e9s"
      ];
    };

    content=
    [ /* delete dialog contents */

      {
        ctrl=label;
        text=$delete.nodename.text;
        wrap=$.delete.node.text.size;
      },

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* choice to delete locally or on all servers */
        ctrl=choice;
        style=radio;
        items=$.delete.options.items;
        labels=$.delete.options.labels;
        val=$delete.options.mode;
      } /* choice to delete locally or on all servers */

    ] /* delete dialog contents */
  },

  {
    blockid=layout.folders.node.delete.children;
    title="Supprimer les groupes de discussion";
    buttonsat=south;
    resizable=true;

    localvar=
    {
      .delete.node.text.size=400;

      .delete.options.border=[titled, "Supprimer les options"];
      .delete.options.items=
      [
        "local",
        "dupliqu\u00e9"
      ];
      .delete.options.labels=
      [
        "Supprimer sur ce serveur uniquement",
        "Supprimer sur ce serveur et tous les serveurs dupliqu\u00e9s"
      ];

      .delete.pattern.text = "Supprimer les groupes d\u00e9pendant du groupe actif qui correspondent \u00e0 un mod\u00e8le";
      .delete.pattern.label = "Entrez le mod\u00e8le :";
      .label.size = 80;
      .delete.nodes.text = "Supprimer les groupes s\u00e9lectionn\u00e9s";

      .select.all.text="Tout s\u00e9lectionner";
      .select.none.text="Ne rien s\u00e9lectionner";
    };

    content=
    [

      {
        ctrl=label;
        text=$delete.nodename.text;
        wrap=$.delete.node.text.size;
      },

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* choice to delete locally or on all servers */
        ctrl=choice;
        style=radio;
        items=$.delete.options.items;
        labels=$.delete.options.labels;
        val=$delete.options.mode;
      }, /* choice to delete locally or on all servers */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* delete selected nodes */
        ctrl=togglepane;
        style=radio;
        group=deletenodes;
        text=$.delete.nodes.text;
        id=deletenodes;
        inline=false;
        content=
        [ /* delete selected nodes contents */

          { /* table and buttons */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* table and buttons contents */

              { /* nodes table */
                ctrl=table;
                id=nodestable;
                stdtable=false;
                showadd=false;
                showedit=false;
                showdelete=false;
                columns=
                [
                  {
                    header="";
                  }
                ];
              }, /* nodes table */

              { /* component space */
                ctrl=hstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* button array */
                ctrl=pane;
                layout=[ybox];
                content=
                [

                  { /* select all */
                    ctrl=button;
                    cmd=.select.all;
                    text=$.select.all.text;
                    id=selectallbtn;
                  }, /* select all */

                  { /* component space */
                    ctrl=vstrut;
                    size=$g.comp.space;
                  }, /* component space */

                  { /* select none */
                    ctrl=button;
                    cmd=.select.none;
                    text=$.select.none.text;
                    id=selectnonebtn;
                  } /* select none */

                ];
              } /* button array */

            ]; /* table and buttons contents */
          }, /* table and buttons */

          { /* component space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* component space */

          { /* status label */
            ctrl=label;
            text=$status.text;
            alignh=left;
            id=statustext;
          } /* status label */

        ]; /* delete selected nodes contents */
      }, /* delete selected nodes */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* delete pattern */
        ctrl=togglepane;
        style=radio;
        id=deletepatt;
        inline=false;
        group=deletenodes;
        text=$.delete.pattern.text;
        content=
        [ /* delete pattern contents */

          {
            ctrl=pane;
            layout=[xbox];
            content=
            [

              {
                ctrl=label;
                text=$.delete.pattern.label;
                wrap=$.label.size;
                id=deletepatternlabel;
                alignh=left;
                aligny=0.5;
              },

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              {
                ctrl=text;
                label=deletepatternlabel;
                aligny=0.5;
                id=deletepattern;
              }

            ]
          }

        ]; /* delete pattern contents */
      } /* delete pattern */

    ];
  }

]

